# $Revision: 1.29 $, $Date: 2007/09/05 13:17:13 $
Summary:	Additional ghostscript fonts
Summary(pl.UTF-8):	Dodatkowe fonty dla interpretera ghostscript
Name:		ghostscript-fonts-other
Version:	6.0
Release:	6
License:	GPL
Group:		Applications/Graphics
Source0:	ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/fonts/gnu-gs-fonts-other-%{version}.tar.gz
# Source0-md5:	33457d3f37de7ef03d2eea05a9e6aa4f
Source1:	%{name}.Fontmap
Source2:	%{name}.fonts.scale
URL:		http://www.cs.wisc.edu/~ghost/
BuildRequires:	t1utils
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/Type1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_t1fontsdir	%{_fontsdir}/Type1
%define		_t1afmdir	%{_t1fontsdir}/afm
%define		_t1pfmdir	%{_t1fontsdir}/pfm

%description
This package contains additional fonts for ghostscript.

Ghostscript is a PostScript interpreter. It can render both PostScript
and PDF compliant files to devices which include an X window, many
printer formats (including support for color printers), and popular
graphics file formats.

%description -l pl.UTF-8
Pakiet ten zawiera dodatkowe fonty dla interpretera ghostscript.

Ghostcript jest interpreterem PostScriptu, języku używanego do opisu
formatu dokumentu. Ghostscript potrafi przetworzyć dokument w formacie
PostScript i PDF na szereg postaci wyjściowych: drukarki (włączając
kolorowe), okno X-Window i popularne formaty graficzne.

%prep
%setup -q -n fonts

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_t1fontsdir},%{_t1afmdir},%{_t1pfmdir}}

# present in t1lib-fonts
rm -f bch*

install *.gsf $RPM_BUILD_ROOT%{_t1fontsdir}
install *.afm $RPM_BUILD_ROOT%{_t1afmdir}
install *.pfm $RPM_BUILD_ROOT%{_t1pfmdir}

for f in *.pfa ; do
	t1binary $f $RPM_BUILD_ROOT%{_t1fontsdir}/`basename $f .pfa`.pfb
done

install %{SOURCE1} $RPM_BUILD_ROOT%{_t1fontsdir}/Fontmap.%{name}
install %{SOURCE2} $RPM_BUILD_ROOT%{_t1fontsdir}/fonts.scale.%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst Type1

%postun
fontpostinst Type1

%files
%defattr(644,root,root,755)
%{_t1fontsdir}/*.gsf
%{_t1fontsdir}/*.pfb
%{_t1afmdir}/*.afm
%{_t1pfmdir}/*.pfm
%{_t1fontsdir}/*.%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ghostscript-fonts-other.spec,v $
Revision 1.29  2007/09/05 13:17:13  baggins
- rel 6
- updated Source0 URL

Revision 1.28  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.27  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.26  2006/01/27 10:03:47  gotar
- R: fontpostinst as rpm R(post,postun) is still broken, rel++

Revision 1.25  2004/08/18 20:19:40  undefine
- release 4

Revision 1.24  2003/06/19 11:51:30  gotar
- switched post/postun to fontpostinst
- packages require directory in which they have fonts
- release++

Revision 1.23  2003/05/28 12:58:58  malekith
- massive attack: source-md5

Revision 1.22  2003/05/25 05:47:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/01/20 21:33:49  qboosh
- use tr (fileutils) instead of sed, updated Requires()

Revision 1.20  2002/12/29 21:18:43  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.19  2002/04/25 16:23:06  arturs
fixed a small typo

Revision 1.18  2002/03/06 16:43:06  kloczek
- release 2.

Revision 1.17  2002/03/06 02:06:21  gotar
- removed Requires: ghostscript (Type1 fonts can be used anywhere).

Revision 1.16  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/01/18 02:13:02  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/07/26 18:58:19  qboosh
- version 6.0, added Source URL

Revision 1.13  2001/04/19 04:36:13  kloczek
- release 5: few cosmetics.

Revision 1.12  2001/04/15 20:22:58  qboosh
- remove old {fonts.scale,Fontmap}.bak left by type1inst
- fixed fonts.scale generation, Prereq: sed
- finished resolving conflict with t1lib-fonts

Revision 1.11  2001/04/15 18:04:59  qboosh
- Type1 fonts go to %%{_fontsdir}/Type1, metrics to {afm,pfm} subdirs
- changed post/postun scripts
  (merge included fontmaps instead of generating broken by type1inst)

Revision 1.10  2000/08/26 23:12:14  klakier
- release 4: s/Type1/type1/g

Revision 1.9  2000/07/18 13:30:22  baggins
- release 3
- buildarch: noarch

Revision 1.8  2000/07/11 14:12:26  baggins
- release 2
- (pre)requires type1inst
- changed location to %{_datadir}/fonts/Type1
- added %%post(un) to call /usr/bin/type1inst -nolog

Revision 1.7  2000/05/18 23:29:23  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:14:31  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:18  baggins
- translated kloczkish into english

Revision 1.4  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.3  1999/07/12 23:05:57  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri Jun 18 1999 Artur Wróblewski <wrobell@posexperts.com.pl>
[5.10-1]
- FHS-2.0
